<p>posts-create works!</p>
<div>
    <form [formGroup]="formSearchPosts"  (ngSubmit)="searchPosts()">
        <label for=""> Buscador </label>
        <input type="text" formControlName="userId" (blur)="searchPosts()">
        <button type="submit"> Buscar </button>
    </form>

    <p *ngIf="posts"></p>
    
    <p *ngIf="!statusSearchUserId" class="alert">No se encontro ningun posts con ese user Id</p>    
</div>
<br/>
<style>
    table,
    tr,
    th {
        border: 3px solid green;
        border-collapse: collapse;
        color:black;
    }
    .alert{
        color: red;
    }
</style>
<table>
    <tr>
        <th>User Id</th>
        <th>Id</th>
        <th>Title</th>
        <th>Body</th>
    </tr>

    <tr *ngFor="let item of posts">
            <th> {{ item.userId }}</th>
            <th> {{ item.id }} </th>
            <th> {{ item.title }} </th>
            <th> {{ item.body }} </th>    
        </tr>
</table>